~alpine/devel

This thread contains a patchset. You're looking at the original emails, but you may wish to use the patch review UI. Review patch
4 2

[alpine-devel] [PATCH] Upgrade phonon

Details
Message ID
<1412488319-17278-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1412488319
DKIM signature
missing
Download raw message
Patch: +5 -5
---
 testing/phonon/APKBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD
index af362df..781ee06 100644
--- a/testing/phonon/APKBUILD
+++ b/testing/phonon/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer:
pkgname=phonon
pkgver=4.6.0
pkgver=4.8.0
pkgrel=0
pkgdesc="KDE multimedia backend"
url="http://phonon.kde.org/"
@@ -12,7 +12,7 @@ depends_dev="qt-dev glib-dev"
makedepends="$depends_dev cmake automoc4"
install=""
subpackages="$pkgname-dev"
source="http://kde.mirrors.tds.net/pub/kde/stable/phonon/$pkgver/src/phonon-$pkgver.tar.xz"
source="http://download.kde.org/stable/phonon/${pkgver}/phonon-$pkgver.tar.xz"

_builddir="$srcdir"/phonon-$pkgver
prepare() {
@@ -37,6 +37,6 @@ package() {
	make DESTDIR="$pkgdir" install || return 1
}

md5sums="bbe0c1c62ed14c31479c4c1a6cf1e173  phonon-4.6.0.tar.xz"
sha256sums="2915e7a37c92a0a8237b9e6d2ef67ba8b005ee3529d03991cd3d137f039ba3c4  phonon-4.6.0.tar.xz"
sha512sums="d07c0eaa1be04d80266f6630933bbe8e4f822dc9eb1c31946a08339530cd81e450f1764731c309ae4c661ea3416237521d2048d3e7c0f9cbb7528b1bbbc60f7d  phonon-4.6.0.tar.xz"
md5sums="30af25af0bf28f3ce462f39b0a6e4081  phonon-4.8.0.tar.xz"
sha256sums="3bcb2a66c83fc5a4518a49cc96bb8971f155947571050a0e02b6be13c91ed524  phonon-4.8.0.tar.xz"
sha512sums="0dc12a4d479245ba7ffab954c91c78e3c469982e6b8ed5ff9b80150aebab448023ffde68b67a2520ca76af9ce3c0608d250f59275767c092f4e364da8cfe105f  phonon-4.8.0.tar.xz"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa <ncopa@alpinelinux.org>
Details
Message ID
<20141006170518.57d4c576@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1412488319-17278-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1412607918
DKIM signature
missing
Download raw message
On Sun,  5 Oct 2014 09:51:59 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  testing/phonon/APKBUILD | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)

I get this error:
>>> phonon*: Tracing dependencies...
>>> ERROR: phonon*: libphonon.so.4: path not found

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa <ncopa@alpinelinux.org>
Details
Message ID
<20141006170638.7969cdf1@ncopa-desktop.alpinelinux.org>
In-Reply-To
<20141006170518.57d4c576@ncopa-desktop.alpinelinux.org> (view parent)
Sender timestamp
1412607998
DKIM signature
missing
Download raw message
On Mon, 6 Oct 2014 17:05:18 +0200
Natanael Copa <ncopa@alpinelinux.org> wrote:

> On Sun,  5 Oct 2014 09:51:59 +0400
> k0r10n <k0r10n.dev@gmail.com> wrote:
> 
> > ---
> >  testing/phonon/APKBUILD | 10 +++++-----
> >  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> I get this error:
> >>> phonon*: Tracing dependencies...
> >>> ERROR: phonon*: libphonon.so.4: path not found

It looks like it installs libs in /usr/lib64 instead of /usr/lib.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Details
Message ID
<CAJ=x5Hnh2zgJDjKcGPcFOkCWY-2=xoYzkXCzqicw+P+KhqciNg@mail.gmail.com>
In-Reply-To
<20141006170638.7969cdf1@ncopa-desktop.alpinelinux.org> (view parent)
Sender timestamp
1413000110
DKIM signature
missing
Download raw message
I think it's because you are trying to build it on 64, but i didn't have
before 64-bit build environment. So now i have it, and tested phonon, patch
is here:

>From 5440ae7f5660e19397d0b5c795c420f79ef4e7c2 Mon Sep 17 00:00:00 2001
From: k0r10n <k0r10n.dev@gmail.com>
Date: Sat, 11 Oct 2014 07:57:08 +0400
Subject: [PATCH] Upgrade phonon for building on 64

---
 testing/phonon/APKBUILD | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD
index 781ee06..e1d6ba9 100644
--- a/testing/phonon/APKBUILD
+++ b/testing/phonon/APKBUILD
@@ -28,7 +28,13 @@ prepare() {

 build() {
 	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir"
|| return 1
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	      -DCMAKE_BUILD_TYPE=Release \
+	      -DCMAKE_INSTALL_LIBDIR=lib \
+	      -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE \
+	      -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
+	      -Wno-dev \
+	      "$_builddir" || return 1
 	make || return 1
 }

-- 
2.0.0



2014-10-06 15:06 GMT+00:00 Natanael Copa <ncopa@alpinelinux.org>:

> On Mon, 6 Oct 2014 17:05:18 +0200
> Natanael Copa <ncopa@alpinelinux.org> wrote:
>
> > On Sun,  5 Oct 2014 09:51:59 +0400
> > k0r10n <k0r10n.dev@gmail.com> wrote:
> >
> > > ---
> > >  testing/phonon/APKBUILD | 10 +++++-----
> > >  1 file changed, 5 insertions(+), 5 deletions(-)
> >
> > I get this error:
> > >>> phonon*: Tracing dependencies...
> > >>> ERROR: phonon*: libphonon.so.4: path not found
>
> It looks like it installs libs in /usr/lib64 instead of /usr/lib.
>
> -nc
>
Details
Message ID
<CAJ=x5HndvwpCdfC-1jfzmdentx3fs0ag14NrUJHkYK-K+OjYAw@mail.gmail.com>
In-Reply-To
<CAJ=x5Hnh2zgJDjKcGPcFOkCWY-2=xoYzkXCzqicw+P+KhqciNg@mail.gmail.com> (view parent)
Sender timestamp
1413001432
DKIM signature
missing
Download raw message
>From 5440ae7f5660e19397d0b5c795c420f79ef4e7c2 Mon Sep 17 00:00:00 2001
From: k0r10n <k0r10n.dev@gmail.com>
Date: Sat, 11 Oct 2014 07:57:08 +0400
Subject: [PATCH] Upgrade phonon for building on 64

---
 testing/phonon/APKBUILD | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD
index 781ee06..e1d6ba9 100644
--- a/testing/phonon/APKBUILD
+++ b/testing/phonon/APKBUILD
@@ -28,7 +28,13 @@ prepare() {

 build() {
 	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir"
|| return 1
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	      -DCMAKE_BUILD_TYPE=Release \
+	      -DCMAKE_INSTALL_LIBDIR=lib \
+	      -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE \
+	      -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
+	      -Wno-dev \
+	      "$_builddir" || return 1
 	make || return 1
 }

-- 
2.0.0
Reply to thread Export thread (mbox)